import 'dart:io';

import 'package:lib_common_fx/lib_common_fx.dart';

abstract class NetConfigInterface {
  int get connectTimeOut => 10000;
  int get readTimeOut => 10000;
  int get writeTimeOut => 10000;
  bool get logEnable => true;

  int get successCode => 0; //请求成功
  int get showMsgByToastCode => 1; //显示提示信息 使用toast
  int get showMsgByDialogCode => 2; //显示提示信息 使用dialog
  int get loginFailure => 100; //登录失效

  String getHost();
  int getResponseCode(Map<String, dynamic> map);
  T? getResponseData<T>(Map<String, dynamic> map);
  String getResponseMsg(Map<String, dynamic> map);
  ListResponse<dynamic> coverListResponse(Map<String, dynamic> map);
  List<M> coverList<M>(List<dynamic> list);

  Map<String, String> defaultHeader() {
    return {HttpHeaders.connectionHeader: "application/json"};
  }

  ///eg.
  ///if (error is NetError) {
  /// showToast(error.msg);
  ///}
  void onError(dynamic error) {}
}
